This page was not yet optimized for use on mobile devices.
MiniHSM & MiniHSM for nShield Edge F3
Certificate details
| Certificate ID | #4332 |
|---|---|
| Status | historical |
| Historical reason | Moved to historical list due to sunsetting |
| Validation dates | 16.10.2022 , 18.06.2024 |
| Standard | FIPS 140-2 |
| Security level | 3 |
| Type | Hardware |
| Embodiment | Multi-Chip Embedded |
| Caveat | When operated in FIPS mode and initialized to Overall Level 3 per Security Policy |
| Exceptions |
|
| Description | The MiniHSM and MiniHSM for nShield Edge F3 are fully featured HSMs supplied in a single chip package. The MiniHSM Modules offer all the security and key management features of other nShield modules but with reduced processing speed. The MiniHSM modules are OEM parts and will be included within other appliances or products, for example switches or routers. The MiniHSM modules have a real time clock which also makes them suitable for use as a time-stamping engine. |
| Version (Hardware) | nC4031Z-10 and nC4031U-10, Build Standard N |
| Version (Firmware) | 12.72.0 and 12.72.2 |
| Vendor | Entrust http://www.entrust.com |
| Lab | Lightship Security, Inc. |
| Algorithms | |
| References | This certificate's webpage directly references 0 certificates, transitively this expands into 0 certificates. |
Security policy
Extracted keywords
Symmetric Algorithms
AES, CAST, RC4, DES, Camellia, SEED, HMAC, CMACAsymmetric Algorithms
ECDH, ECDSA, ECIES, DH, Diffie-Hellman, DSAHash functions
SHA-1, SHA1, SHA-256, SHA256, SHA-224, SHA-512, SHA224, SHA384, SHA512, MD5, RIPEMD-160Schemes
MAC, KA, Key AgreementRandomness
DRBGElliptic Curves
P-224, P-384, P-521, P-192, K-233, K-409, K-571, B-233, B-409, B-571, NIST P-521, K-163, B-163, Ed25519Block cipher modes
ECB, CBC, CTR, GCMJavaCard API constants
X25519Trusted Execution Environments
Secure ExecutionVendor
Microsoft, Microsoft CorporationSecurity level
Level 3, level 3Standards
FIPS 1402, FIPS 140-2, FIPS 197, FIPS 186-4, SP 800-108, SP 800-90A, PKCS#1, PKCS#8, RFC 5639, RFC2612, RFC6979Automated analysis
Automated inference - use with caution
All attributes shown in this section (e.g., links between certificates, products, vendors, and known CVEs) are generated by automated heuristics and have not been reviewed by humans. These methods can produce false positives or false negatives and should not be treated as definitive without independent verification. This applies equally to the Cross-references section below. If you want to know more about how this data is computed and how reliable it is, see our documentation on automated analysis. If you believe any information here is inaccurate or harmful, please submit feedback.No automatically derived data are available in this section.
Cross-references
No references are available for this certificate.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate was first processed.
{
"_type": "sec_certs.sample.fips.FIPSCertificate",
"cert_id": 4332,
"dgst": "2b013929a3a48aae",
"heuristics": {
"_type": "sec_certs.sample.fips.FIPSCertificate.Heuristics",
"algorithms": {
"_type": "Set",
"elements": [
"KTS#A1931",
"KTS-RSA#A1931",
"DSA#A1931",
"ECDSA#A1931",
"RSA#A1931",
"DRBG#A1931",
"SHS#A1931",
"KAS#A1931",
"#A1931",
"AES#A1931",
"HMAC#A1931",
"KBKDF#A1931"
]
},
"cpe_matches": null,
"direct_transitive_cves": null,
"extracted_versions": {
"_type": "Set",
"elements": [
"12.72.2",
"12.72.0"
]
},
"indirect_transitive_cves": null,
"module_processed_references": {
"_type": "sec_certs.sample.certificate.References",
"directly_referenced_by": null,
"directly_referencing": null,
"indirectly_referenced_by": null,
"indirectly_referencing": null
},
"module_prunned_references": {
"_type": "Set",
"elements": []
},
"policy_processed_references": {
"_type": "sec_certs.sample.certificate.References",
"directly_referenced_by": null,
"directly_referencing": null,
"indirectly_referenced_by": null,
"indirectly_referencing": null
},
"policy_prunned_references": {
"_type": "Set",
"elements": []
},
"related_cves": null,
"verified_cpe_matches": null
},
"pdf_data": {
"_type": "sec_certs.sample.fips.FIPSCertificate.PdfData",
"br1_deviations": 44,
"br1_tables": null,
"is_br1_format": false,
"keywords": {
"asymmetric_crypto": {
"ECC": {
"ECDH": {
"ECDH": 6
},
"ECDSA": {
"ECDSA": 10
},
"ECIES": {
"ECIES": 1
}
},
"FF": {
"DH": {
"DH": 8,
"Diffie-Hellman": 3
},
"DSA": {
"DSA": 29
}
}
},
"certification_process": {},
"cipher_mode": {
"CBC": {
"CBC": 4
},
"CTR": {
"CTR": 2
},
"ECB": {
"ECB": 2
},
"GCM": {
"GCM": 1
}
},
"cplc_data": {},
"crypto_engine": {},
"crypto_library": {},
"crypto_protocol": {},
"crypto_scheme": {
"KA": {
"KA": 22,
"Key Agreement": 4
},
"MAC": {
"MAC": 11
}
},
"device_model": {},
"ecc_curve": {
"Edwards": {
"Ed25519": 1
},
"NIST": {
"B-163": 3,
"B-233": 3,
"B-409": 1,
"B-571": 4,
"K-163": 3,
"K-233": 1,
"K-409": 1,
"K-571": 3,
"NIST P-521": 1,
"P-192": 6,
"P-224": 4,
"P-384": 4,
"P-521": 9
}
},
"eval_facility": {},
"fips_cert_id": {},
"fips_certlike": {
"Certlike": {
"AES 128, 192": 1,
"HMAC SHA-256": 1,
"HMAC- SHA256": 1,
"HMAC-SHA1": 2,
"HMAC-SHA256": 6,
"PKCS#1": 2,
"PKCS#8": 2,
"SHA- 256": 1,
"SHA- 384": 1,
"SHA-1": 4,
"SHA-224": 1,
"SHA-256": 5,
"SHA-512": 1,
"SHA1": 2,
"SHA224": 1,
"SHA256": 2,
"SHA384": 1,
"SHA512": 1
}
},
"fips_security_level": {
"Level": {
"Level 3": 38,
"level 3": 4
}
},
"hash_function": {
"MD": {
"MD5": {
"MD5": 2
}
},
"RIPEMD": {
"RIPEMD-160": 2
},
"SHA": {
"SHA1": {
"SHA-1": 4,
"SHA1": 2
},
"SHA2": {
"SHA-224": 1,
"SHA-256": 5,
"SHA-512": 1,
"SHA224": 1,
"SHA256": 2,
"SHA384": 1,
"SHA512": 1
}
}
},
"ic_data_group": {},
"javacard_api_const": {
"curves": {
"X25519": 1
}
},
"javacard_packages": {},
"javacard_version": {},
"os_name": {},
"pq_crypto": {},
"randomness": {
"PRNG": {
"DRBG": 22
}
},
"side_channel_analysis": {},
"standard_id": {
"FIPS": {
"FIPS 140-2": 41,
"FIPS 1402": 1,
"FIPS 186-4": 1,
"FIPS 197": 1
},
"NIST": {
"SP 800-108": 2,
"SP 800-90A": 1
},
"PKCS": {
"PKCS#1": 1,
"PKCS#8": 1
},
"RFC": {
"RFC 5639": 3,
"RFC2612": 1,
"RFC6979": 1
}
},
"symmetric_crypto": {
"AES_competition": {
"AES": {
"AES": 28
},
"CAST": {
"CAST": 1
},
"RC": {
"RC4": 1
}
},
"DES": {
"DES": {
"DES": 2
}
},
"constructions": {
"MAC": {
"CMAC": 5,
"HMAC": 12
}
},
"miscellaneous": {
"Camellia": {
"Camellia": 1
},
"SEED": {
"SEED": 1
}
}
},
"tee_name": {
"IBM": {
"Secure Execution": 1
}
},
"tls_cipher_suite": {},
"vendor": {
"Microsoft": {
"Microsoft": 1,
"Microsoft Corporation": 1
}
},
"vulnerability": {}
},
"module_algorithms": {
"_type": "Set",
"elements": [
"KTS#A1931",
"KTS-RSA#A1931",
"DSA#A1931",
"ECDSA#A1931",
"RSA#A1931",
"DRBG#A1931",
"SHS#A1931",
"KAS#A1931",
"AES#A1931",
"HMAC#A1931",
"KBKDF#A1931"
]
},
"policy_algorithms": {
"_type": "Set",
"elements": [
"#A1931"
]
},
"policy_metadata": {
"/Author": "Dieguez, Ignacio",
"/CreationDate": "D:20240123115208+01\u002700\u0027",
"/Creator": "Microsoft\u00ae Word for Microsoft 365",
"/ModDate": "D:20240123115208+01\u002700\u0027",
"/Producer": "Microsoft\u00ae Word for Microsoft 365",
"/Title": "nShield Word Template",
"pdf_file_size_bytes": 2333503,
"pdf_hyperlinks": {
"_type": "Set",
"elements": [
"mailto:[email protected]",
"https://nshieldsupport.entrust.com/",
"https://www.entrust.com/",
"https://csrc.nist.gov/projects/cryptographic-algorithm-validation-program/details?product=14434",
"https://csrc.nist.gov/projects/cryptographic-algorithm-validation-program/details?validation=31150"
]
},
"pdf_is_encrypted": false,
"pdf_number_of_pages": 38
}
},
"state": {
"_type": "sec_certs.sample.fips.InternalState",
"module": {
"_type": "sec_certs.sample.document_state.DocumentState",
"convert_ok": true,
"download_ok": true,
"extract_ok": true,
"json_hash": null,
"source_hash": null,
"txt_hash": null
},
"policy": {
"_type": "sec_certs.sample.document_state.DocumentState",
"convert_ok": true,
"download_ok": true,
"extract_ok": true,
"json_hash": "e83a335d733ce41b14f1d488c802c22de1db97c9ba8bdbfb388ca4fedc4ad0c3",
"source_hash": "5e79c37cd4578f04c7b5a482474887e6a5bbbef400a4e9d295f3b07bcac78540",
"txt_hash": "78ca245a43e9b0992bea22035f938e5f6e7637446adbdb4dea49fbc6e5d7b976"
}
},
"web_data": {
"_type": "sec_certs.sample.fips.FIPSCertificate.WebData",
"caveat": "When operated in FIPS mode and initialized to Overall Level 3 per Security Policy",
"certificate_pdf_url": "https://csrc.nist.gov/CSRC/media/projects/cryptographic-module-validation-program/documents/certificates/October 2022_021122_1233_signed.pdf",
"date_sunset": null,
"description": "The MiniHSM and MiniHSM for nShield Edge F3 are fully featured HSMs supplied in a single chip package. The MiniHSM Modules offer all the security and key management features of other nShield modules but with reduced processing speed. The MiniHSM modules are OEM parts and will be included within other appliances or products, for example switches or routers. The MiniHSM modules have a real time clock which also makes them suitable for use as a time-stamping engine.",
"embodiment": "Multi-Chip Embedded",
"exceptions": [
"Mitigation of Other Attacks: N/A"
],
"fw_versions": "12.72.0 and 12.72.2",
"historical_reason": "Moved to historical list due to sunsetting",
"hw_versions": "nC4031Z-10 and nC4031U-10, Build Standard N",
"level": 3,
"mentioned_certs": {},
"module_name": "MiniHSM \u0026 MiniHSM for nShield Edge F3",
"module_type": "Hardware",
"revoked_link": null,
"revoked_reason": null,
"standard": "FIPS 140-2",
"status": "historical",
"sw_versions": null,
"tested_conf": null,
"validation_history": [
{
"_type": "sec_certs.sample.fips.FIPSCertificate.ValidationHistoryEntry",
"date": "2022-10-16",
"lab": "Lightship Security, Inc.",
"validation_type": "Initial"
},
{
"_type": "sec_certs.sample.fips.FIPSCertificate.ValidationHistoryEntry",
"date": "2024-06-18",
"lab": "Lightship Security, Inc.",
"validation_type": "Update"
}
],
"vendor": "Entrust",
"vendor_url": "http://www.entrust.com"
}
}